%define oname gal
%define fname gal2
%define version 1.99.9
%define release alt4
%define build_cvs 0

Summary: Library for compound documents in GNOME
Name: lib%fname
Version: %version
Release: %release
License: GPL
Group: System/Libraries
%if %build_cvs
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%fname-0/gal-%{version}cvs.tar.bz2
%else
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%fname-0/gal-%version.tar.gz
%endif
Url: http://www.gnome.org/



# Automatically added by buildreq on Wed Oct 29 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
This the G App Libs for Gnome2 (GAL2).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME2 applications that might want to use these widgets.

%package devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %name = %version

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%package devel-static
Summary: Static libraries for Gnome Application Library
Group: Development/C
Requires: %name = %version, %name-devel = %version

%description devel-static
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%if %build_cvs
%setup -q -n%oname
%else
%setup -q -n%oname-%version
%endif

%build
%if %build_cvs
./autogen.sh --prefix=%_prefix
%else
%configure
%endif
#Non-SMP build
export tagname=CC
%make 

%install
%makeinstall

%find_lang %fname

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %fname.lang
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README
%_libdir/*.so.*
%_datadir/gal-2.0/
%_libdir/gtk-2.0/modules/*.so
%_libdir/gtk-2.0/modules/*.la

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/gal-2.0/gal/*

%files devel-static
%_libdir/*.a


%changelog
* Wed Oct 29 2003 AEN <aen@altlinux.ru> 1.99.9-alt4
- buildreq fixed

* Tue Aug 05 2003 AEN <aen@altlinux.ru> 1.99.9-alt3
- new version

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 1.99.8-alt3
- release

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1.99.8-alt2
- new version (cvs source)

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 1.99.7-alt1
- new version

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 0.0.6-alt1
- first build for Sisyphus

